[android-components](../../../index.md) / [mozilla.components.concept.engine.prompt](../../index.md) / [PromptRequest](../index.md) / [Authentication](index.md) / [method](./method.md)

# method

`val method: `[`Method`](-method/index.md) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/prompt/PromptRequest.kt#L161)

type of authentication,  valid values [Method.HOST](-method/-h-o-s-t.md) and [Method.PROXY](-method/-p-r-o-x-y.md).

### Property

`method` - type of authentication,  valid values [Method.HOST](-method/-h-o-s-t.md) and [Method.PROXY](-method/-p-r-o-x-y.md).